import React from "react";
interface IState {
    current: any;
    input: any;
    listdata: Array<any>;
    visible: boolean;
}
interface IProp {
    listdata: [];
    options: any[];
}
export default class EngineRule extends React.Component<IProp, IState> {
    constructor(props: IProp);
    handleSubmit: () => void;
    handelDefine: () => void;
    renderDialog(): React.JSX.Element;
    renderSelect(): React.JSX.Element[];
    renderList(): React.JSX.Element;
    getValues(): Promise<any>;
    render(): React.JSX.Element;
}
export {};
